/api/v1/selphid/passive-liveness/evaluate/token
Evaluates the passive liveness of a tokenized image.
A tokenized image, used for passive liveness. It also supports extraData, for registration in Api Tracking.
Tokenized image, base64-encoded.
BAEBAQLKOJ3E+kPbKqfpJtRHZN5vb...Tokenized data used to call the Api Tracking service after the operation, base64-encoded.
BQABAQGkJhiCqQjKYUZyDM...Result of the passive liveness evaluation.
The result of a passive liveness operation.
Possible results of a liveness operation.
NoLivePossible values: In authentication, liveness and extraction operations that involve templateRaws, indicates whether the template's lifetime is valid. See "options:elapsedAllowedSeconds". In operations that do not involve raw templates, it is always true.
trueThe token's internal date and time value in "%Y-%m-%dT%H:%M:%SZ" format.
2022-01-14T10:42:05.521922ZStatus returned by the Api Tracking service, or -1 if tracking is not required.
201Message returned by the Api Tracking service, or empty if tracking is not required.
EvaluatePassiveLivenesWithImageBuffer: OkDuration of the operation in milliseconds.
1234Incorrect parameters in the request.
An error occurred in the call to the SelphID-SDK backend.
POST /api/v1/selphid/passive-liveness/evaluate/token HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 458
{
"tokenImage": "BAEBAQLKOJ3E+kPbKqfpJtRHZN5vb...",
"extraData": "BQABAQGkJhiCqQjKYUZyDM...",
"options": {
"longDetail": true,
"elapsedAllowedSeconds": 3600,
"futureAllowedSeconds": 3600,
"facialDetection": "Frontal",
"minFaceAbsPx": 35,
"minFaceRel": 0.04,
"minIodPx": 35,
"maxPoseDegrees": 30,
"minFacialQuality": "Good",
"analyticsDetection": true,
"templateRawExtraction": true,
"falseDetectRate": 0.02,
"maxCantidates": 5,
"minSimilarity": 0.7,
"authThreshold": 60,
"livenessDepth": "Full"
}
}{
"diagnostic": "NoLive",
"noLiveDetails": {
"mainCause": "FPadFailed",
"fPadStatus": "Failed",
"fPadScore": 0.2,
"fMadStatus": "Passed",
"fMadScore": 0.8,
"coercionScore": 0.8,
"reasonMessage": "The FPAD module has rejected the image"
},
"validTimeStamp": true,
"tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
"trackingStatus": 201,
"trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok",
"sdkDuration": 1234
}Last updated